人力検索はてな
モバイル版を表示しています。PC版はこちら
i-mobile

Perl についての質問です。

前回に続く質問なのですが、http://q.hatena.ne.jp/1190815879

固定する変数の宣言で、requireを使い、他のファイルで

my $YOMIKOMI_KAZU = 4;

などしてまとめる事にしました。

しかし、ちょっとEclipce上でおかしいのです。きちんとrequireしているのですが、下部のウインドウ上にエラーメッセージが出てきます。

これは、なぜでしょうか?

どなたか、Eclipceを利用してPerlを作っている方は教えていただけないでしょうか?_


●質問者: zachouR
●カテゴリ:インターネット ウェブ制作
✍キーワード:Perl require ウインドウ エラーメッセージ ファイル
○ 状態 :終了
└ 回答数 : 2/2件

▽最新の回答へ

1 ● KUROX
●35ポイント

http://www.futomi.com/lecture/local/index.html

my ってつかるから駄目なんじゃないかな?

グローバル変数扱いだと思うので。

◎質問者からの返答

すいません。エラーメッセージを入力し忘れていました。

宣言する部分は

require "kankyou.pl";

で、使用するとき、$kankyou::YOMIKOMI_KAZU;

とするとうまく行きました。これであっているのでしょうか?

ちなみに、my宣言しています。


2 ● b-wind
●35ポイント

Eclipse のどの Plugin を使っているか明示しないと回答しにくいですが。


一般に Perl の require/use は Perl のライブラリ用ディレクトリかカレントディレクトリを基準にファイルを探します。

スクリプトファイルの位置が基準ではないので Eclipse とそれ以外の環境でカレントディレクトリの位置が違う場合は読み込めないです。


これを変更するには環境変数 PERL5LIB か use lib プラグマを使ってライブラリの検索パスを追加します。

サーバにインストールされていないPerlモジュールを使うには - Sakura scope

◎質問者からの返答

すいません、上記の方にも書きましたが、使用するときに、$kankyou::YOMIKOMI_KAZU;

とするとエラーメッセージが消えました。

kankyou.plの中で変数はmyにしているのですが、これで大丈夫なのでしょうか?

質問が足らず、すいません。

関連質問


●質問をもっと探す●



0.人力検索はてなトップ
8.このページを友達に紹介
9.このページの先頭へ
対応機種一覧
お問い合わせ
ヘルプ/お知らせ
ログイン
無料ユーザー登録
はてなトップ